#!/bin/bash

fileItemString=$(cat  "sample_file_names.txt" |tr "\n" " ")
sample=($fileItemString)
#echo "${sample[0]}"
len=${#sample[@]}
len=$((len-1))
in1="$PWD/Read_files/"
o1="$PWD/fastqc_output"
cd FastQC
for i in $(seq 0 $len); do
      j=$((i+1))
      echo "File $j processing"
      in2="$in1${sample[i]}"
      ./fastqc -o $o1 -f fastq $in2
done

